globus_uuid(3)

NAME
globus_uuid - Globus UUID Generator

 - UUID Generator.

SYNOPSIS

  Functions

int globus_uuid_create (globus_uuid_t *uuid)
Create UUID

Creates a time based, Leach-Salz variant uuid, using the mac address when available. "
int globus_uuid_import (globus_uuid_t *uuid, const char *str)
Import a UUID

Import a string in the text UUID format into a globus_uuid_t value. "
int globus_uuid_fields (globus_uuid_t *uuid, globus_uuid_fields_t *uuid_fields)
Extract fields from UUID

Copy the fields from uuid to uuid_fields in host byte order. "

Detailed Description

UUID Generator.

Function Documentation

  int globus_uuid_fields (globus_uuid_t * uuid, globus_uuid_fields_t * uuid_fields)

Extract fields from UUID

Copy the fields from uuid to uuid_fields in host byte order.

Parameters
    uuid Pointer to a uuid.
    uuid_fields Pointer to uuid fields.

  int globus_uuid_import (globus_uuid_t * uuid, const char * str)

Import a UUID

Import a string in the text UUID format into a globus_uuid_t value.

Parameters
    uuid UUID to modify
    str A string at least GLOBUS_UUID_TEXTLEN long and be in the format like 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb

1b4e28ba-2fa1-11d2-883f-b9a761bde3fb 012345678901234567890123456789012345 0 1 2 3

Author

Generated automatically by Doxygen for globus_common from the source code.